package js_of_ocaml-ppx

  1. Overview
  2. No Docs
Compiler from OCaml bytecode to JavaScript

Install

Dune Dependency

Authors

Maintainers

Sources

js_of_ocaml-5.4.0.tbz
sha256=f1215de133867fefdb16e2798a225ee0446469a57462af0deebdd22d2a8d3b94
sha512=610cd22818bc6f0a0163f0eec74f58338e18709a6101639f65e58241a9216ed286c3cb091b41e36a82c926de5f030d718a6e76a493e885e61456047a8da153c9

Description

Js_of_ocaml is a compiler from OCaml bytecode to JavaScript. It makes it possible to run pure OCaml programs in JavaScript environment like browsers and Node.js

Published: 11 Jul 2023

Dependencies (4)

  1. ppxlib >= "0.15.0"
  2. js_of_ocaml = version
  3. ocaml >= "4.08"
  4. dune >= "3.7"

Dev Dependencies (4)

  1. odoc with-doc
  2. re >= "1.9.0" & with-test
  3. ppx_expect >= "v0.14.2" & with-test
  4. num with-test

Used by (81)

  1. alba >= "0.4.1"
  2. archetype >= "1.2.7"
  3. async_js >= "v0.10.0"
  4. atable
  5. binaryen >= "0.3.0" & < "0.12.1"
  6. bls12-381-js
  7. bls12-381-js-gen
  8. bonsai >= "v0.15.1"
  9. catala >= "0.3.0" & < "0.9.0"
  10. chartjs
  11. chartjs-annotation
  12. chartjs-colorschemes
  13. chartjs-datalabels
  14. chartjs-streaming
  15. cohttp-lwt-jsoo = "1.2.0" | >= "2.5.0"
  16. d3 >= "0.3.0"
  17. dream >= "1.0.0~alpha5"
  18. eliom >= "6.3.0" & < "6.8.0" | >= "6.9.2" & < "6.10.1" | >= "7.0.0"
  19. ezjs_ace
  20. ezjs_blockies
  21. ezjs_cleave
  22. ezjs_cytoscape
  23. ezjs_d3pie
  24. ezjs_fetch < "0.2"
  25. ezjs_jquery
  26. ezjs_min
  27. ezjs_odometer
  28. ezjs_push < "0.2"
  29. ezjs_qrcode
  30. ezjs_recaptcha
  31. ezjs_timeline
  32. fmlib_js
  33. github-jsoo < "3.0.1"
  34. graphv_font_js
  35. graphv_webgl_impl
  36. incr_dom >= "v0.10.0"
  37. incr_dom_interactive
  38. incr_dom_keyboard
  39. incr_dom_partial_render
  40. incr_dom_sexp_form
  41. incr_dom_widgets
  42. incr_select >= "v0.10.0" & < "v0.12.0"
  43. irmin-indexeddb >= "2.0"
  44. js_of_ocaml-lwt = "5.4.0"
  45. js_of_ocaml-tyxml = "5.4.0"
  46. js_of_ocaml-webgpu
  47. js_of_ocaml-webidl
  48. js_of_ocaml_patches
  49. jsonoo
  50. jsoo-react
  51. jsoo_broadcastchannel >= "2.0.0"
  52. jsoo_storage >= "1.0.1"
  53. kkmarkdown
  54. ldp_js
  55. leaflet
  56. learn-ocaml >= "0.12"
  57. liquidsoap-js
  58. lp-glpk-js
  59. memtrace_viewer >= "v0.15.0"
  60. monaco_jsoo
  61. nuscr < "1.1.0"
  62. ocp_reveal
  63. ojs_base
  64. opam2web >= "2.0"
  65. plotly
  66. polynomial >= "0.4.0"
  67. ppx_css
  68. promise_jsoo
  69. rpclib-js
  70. scaml >= "1.5.0"
  71. spin >= "0.8.0"
  72. timedesc-tzlocal-js
  73. timmy-jsoo
  74. tyxml-lwd >= "0.2"
  75. vg >= "0.9.0" & < "0.9.5"
  76. virtual_dom >= "v0.10.0"
  77. vue-jsoo < "0.3"
  78. webtest-js
  79. xmldiff_js
  80. xtmpl >= "0.17.0" & < "0.19.0"
  81. xtmpl_js

Conflicts

None